"use client"

import { Button } from "@repo/ui/design/Button"
import { useState } from "react"

const wait = async (ms: number): Promise<void> => {
  return await new Promise((resolve) => {
    setTimeout(resolve, ms)
  })
}

export const WikipediaClient: React.FC = () => {
  const [isLoading, setIsLoading] = useState(false)

  const handleClick: React.MouseEventHandler<HTMLButtonElement> = async () => {
    console.log("clicked")
    setIsLoading(true)
    await wait(2_000)
    setIsLoading(false)
  }

  return (
    <section className="my-6 flex items-center justify-center space-x-6">
      <Button onClick={handleClick} isLoading={isLoading} className="w-36">
        Wikipedia
      </Button>

      <Button
        onClick={handleClick}
        variant="outline"
        isLoading={isLoading}
        className="w-36"
      >
        Wikipedia
      </Button>
    </section>
  )
}
